Subject: Re: [PATCH RFC net-next] net: phylink: always config mac for (delayed) phy

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 2 Jun 2025 16:25:39 +0100

On Mon, Jun 02, 2025 at 04:00:14PM +0300, Ilya K wrote:
> That's weird, because I do have all the patches applied. I think this may have been broken by the pcs_inband_caps changes, because without the patch I'm just getting "autoneg setting not compatible with PCS", after which it bails, when it should really reconfigure the MAC instead.

Please enable phylink and sfp debug (adding #define DEBUG to the top of
phylink.c and sfp.c, and then send the kernel messages after reproducing
the issue.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!